API Reference
Namespaces
Read the namespace bound to an API key and its members.
GET
/v1/namespacesRequires the namespace:read API key scope.
Authorization
apiKey AuthorizationBearer <token>
A namespace-scoped API key created in Traces organization settings.
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/namespaces"{ "ok": true, "data": { "namespaces": [ { "id": "string", "slug": "string", "displayName": "string", "description": "string", "type": "individual", "avatarUrl": "string", "traceCount": 0, "githubUrl": "string", "role": "admin" } ] }}{ "ok": false, "error": { "code": "string", "message": "string", "details": {} }}GET
/v1/namespaces/{slug}Requires the namespace:read API key scope.
Authorization
apiKey AuthorizationBearer <token>
A namespace-scoped API key created in Traces organization settings.
In: header
Path Parameters
slug*string
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/namespaces/string"{ "ok": true, "data": { "namespace": { "id": "string", "slug": "string", "displayName": "string", "description": "string", "type": "individual", "avatarUrl": "string", "traceCount": 0, "githubUrl": "string" } }}{ "ok": false, "error": { "code": "string", "message": "string", "details": {} }}GET
/v1/namespaces/{slug}/membersRequires the namespace:read API key scope.
Authorization
apiKey AuthorizationBearer <token>
A namespace-scoped API key created in Traces organization settings.
In: header
Path Parameters
slug*string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/namespaces/string/members"{ "ok": true, "data": { "members": [ { "userId": "string", "displayName": "string", "avatarUrl": "string", "role": "admin", "joinedAt": 0 } ] }}{ "ok": false, "error": { "code": "string", "message": "string", "details": {} }}{ "ok": false, "error": { "code": "string", "message": "string", "details": {} }}